unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, DBGrids, DBCtrls,
  BufDataset, DB;

const
  BUFFERFFILENAME = 'temp_data.bds';

type

  { TForm1 }

  TForm1 = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    MemDataSource1: TDataSource;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;
  BufDataSet1: TBufDataset;
implementation

{$R *.frm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  BufDataSet1 := TBufDataset.Create(nil);

  if FileExists(BUFFERFFILENAME) = true then
  begin
    BufDataSet1.LoadFromFile(BUFFERFFILENAME);
    BufDataSet1.IndexFieldNames:='ID';
    MemDataSource1.DataSet:= BufDataSet1;
  end
  else
  begin
    BufDataSet1.FieldDefs.Add('ID', ftInteger,3);
    BufDataSet1.FieldDefs.Add('VRHCIK',ftString,13);
    BufDataSet1.FieldDefs.Add('MEGNEVEZES',ftString,50);
    BufDataSet1.FieldDefs.Add('VRHFME',ftstring,7);
    BufDataSet1.FieldDefs.Add('EGYSEGAR',ftString,7);
    BufDataSet1.FieldDefs.Add('TETELERTEK',ftString,5);
    BufDataSet1.IndexFieldNames:='ID';
    BufDataSet1.CreateDataset;
    MemDataSource1.DataSet:= BufDataSet1;
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
   BufDataSet1.SaveToFile(BUFFERFFILENAME);
   BufDataSet1.Free;
end;

end.

